Business Profiles

Perfil del negocio (about, descripción, sitio web, logo, vertical).

Base path: /organizations/:orgId/phone-numbers/:phoneId/profile·3 endpoints·Source: mosend-wb-backend/src/modules/profiles/profiles.controller.ts
GET/organizations/:orgId/phone-numbers/:phoneId/profile
bearer

Obtiene el perfil de negocio del número.

Path params

  • orgIdstringrequerido
  • phoneIdstringrequerido

Respuestas

  • 200
curl -X GET 'https://api.mosend.dev/organizations/a1b2c3d4-1234-5678-9abc-def012345678/phone-numbers/00000000-0000-0000-0000-000000000000/profile' \
  -H 'X-Api-Key: mk_live_<prefix>.<secret>'
Response · 200
{
  "data": {
    "id": "00000000-0000-0000-0000-000000000000",
    "createdAt": "2026-05-01T03:42:18.123Z"
  },
  "timestamp": "2026-05-01T03:42:18.123Z"
}
PUT/organizations/:orgId/phone-numbers/:phoneId/profile
bearer

Crea o actualiza el perfil de negocio del número.

Path params

  • orgIdstringrequerido
  • phoneIdstringrequerido

Body

UpsertProfileDtoparámetro: dto

Respuestas

  • 200
curl -X PUT 'https://api.mosend.dev/organizations/a1b2c3d4-1234-5678-9abc-def012345678/phone-numbers/00000000-0000-0000-0000-000000000000/profile' \
  -H 'X-Api-Key: mk_live_<prefix>.<secret>' \
  -H 'Content-Type: application/json' \
  -d '{"name": "string","description": "string"}'
Response · 200
{
  "data": {
    "id": "00000000-0000-0000-0000-000000000000",
    "name": "string",
    "description": "string"
  },
  "timestamp": "2026-05-01T03:42:18.123Z"
}
POST/organizations/:orgId/phone-numbers/:phoneId/profile/picture
bearer

Sube una foto de perfil (JPG/PNG, máx. 5 MB) y la aplica al número en Meta.

Path params

  • orgIdstringrequerido
  • phoneIdstringrequerido

Respuestas

  • 201
curl -X POST 'https://api.mosend.dev/organizations/a1b2c3d4-1234-5678-9abc-def012345678/phone-numbers/00000000-0000-0000-0000-000000000000/profile/picture' \
  -H 'X-Api-Key: mk_live_<prefix>.<secret>'
Response · 200
{
  "data": {
    "id": "00000000-0000-0000-0000-000000000000",
    "createdAt": "2026-05-01T03:42:18.123Z"
  },
  "timestamp": "2026-05-01T03:42:18.123Z"
}